package Control;

import java.awt.BorderLayout;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class MainThread extends Thread {
	
	/** Menuben vagy jatekban vagyunk-e, 0=menu, 1=jatek */
	private int state;
	
	// TODO: EZ ITT MEG NEM VEGLEGES
	/* Ide kell a View-t betenni valahogy a Controllerbe */
	private Controller frame; 
	
	public void setState(int state0) {
		state = state0;
	}
	
	public MainThread() {
		this.setPriority(MIN_PRIORITY);
		
		frame = new Controller("Mazli / Contiunity");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
       
		frame.setBounds(100, 100, 800, 600);
		frame.setResizable(false);
        
        frame.setupMenuView();
        
        frame.pack();
        frame.setVisible(true);
	}
	
	public void run() {
		int prevState = state;
		while(true) {
			try {
				sleep(10);
				
				// ha megvaltozott az allapot
				if (prevState != state) {
					////("Eszrevettem a valtozast!");
					
					// ha elinditottak a jatekot
					if (state == 1) {
						frame.disableMenuView();
					}
				}
				prevState = state;
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
	}
}